"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sshexec_1 = __importDefault(require("./sshexec"));
/** exec remote command */
async function runSSHCmd(ssh, cmd, showLog) {
    const options = cmd.options || { stream: 'stdout' };
    if (cmd.cwd)
        options.cwd = cmd.cwd;
    if (showLog) {
        console.log('[deploy][cmd] run `', cmd.args.join(' '), '` with cwd', cmd.cwd);
    }
    const result = await sshexec_1.default(ssh, cmd.args.shift(), cmd.args, options);
    if (showLog) {
        console.log('[deploy][cmd] command result:');
        console.log(result);
    }
}
exports.runSSHCmd = runSSHCmd;
