import SSH from 'node-ssh';
export interface IScriptConfig {
    type: 'script';
    shebang?: string;
    shell?: string;
    script: string;
    cwd?: string;
    /** allow failure, so the command sequence will continue to run even this failed */
    allowFailure?: boolean;
}
/**
 * entry function of script command
 * @param ssh ssh handler
 * @param config script command config
 * @param showLog whether show exec log
 */
export declare function runScript(ssh: SSH, config: IScriptConfig, showLog?: boolean): Promise<void>;
